<template>
  <div
    ref="content"
    class="current-account-balance agent-account-balance position-relative"
  >
    <div class="d-flex justify-content-between">
      <div>
        <h5 class="m-0 fw-bold text-white">{{ title }}</h5>
        <p class="h6 text-white m-0 mt-1"></p>
      </div>
    </div>
    <div v-if="account" class="d-flex justify-content-between">
      <h2 class="fw-bold text-white">
        {{ count }}
      </h2>
      <!-- <h2 v-else class="fw-bold">*****</h2> -->
      <div>
        <!-- <p class="fw-bold m-0">{{ account.AccountNumber | maskNumber }}</p> -->
        <!-- <img src="@/assets/icons/visa.svg" alt="VISA" /> -->
        <!-- {{ account.Status }} -->
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    title: {
      type: String,
      required: true,
    },
    count: {
      type: String || Number,
      required: true,
    },
  },
  data: () => ({
    hideAMount: false,
    account: {},
  }),
  computed: {
    balanceHidden() {
      // console.log(this.$store)
      // console.log(this.$store.state['balance/balanceHidden'])
      return this.$store.getters['balance/isBalanceHidden']
    },
  },
  mounted() {
    // this.fetchData()
  },
  methods: {
    toggleBalanceAmount() {
      this.$store.commit('balance/TOGGLE_BALANCE')
    },
  },
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';

.agent-account-balance {
  height: 200px;
  width: 100%;
  background-color: #405558;
  border-radius: 20px;
  padding: 16px 20px;
  background-repeat: no-repeat;
  background-position: right top;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
  color: #fff;
  // text-align: center;
  &::before {
    content: '';
    height: 100%;
    border-radius: 20px;
    top: 0;
    left: 0;
    width: 100%;
    background-image: url(~@/assets/icons/current-account-balance.svg);
    position: absolute;
    background-repeat: no-repeat;
    background-position: top right;
  }
}
.visiblity-icon {
  width: 30px;
  height: 30px;
  position: absolute;
  top: 16px;
  right: 15px;
  svg {
    height: 20px;
  }
}
</style>
